apiVersion: batch/v1
kind: CronJob
metadata:
  name: launch-synchro-ces
spec:
  #schedule: "0 7,13 * * *" # Twice day, at 7:00 and 13:00
  schedule: "*/10 * * * *" # Toutes les 10min pour tester
  jobTemplate:
    spec:
      template:
        spec:
          containers:
            - name: ces-synchro-worker
              image: byrnedo/alpine-curl:3.18
              imagePullPolicy: IfNotPresent
              env:
                - name: FEDERATED_CATALOG_API_KEY
                  valueFrom:
                    secretKeyRef:
                      name: federation-service-catalogue-api-key
                      key: api_key_authorized
              command:
                - /bin/sh
                - -c
                - |
                  echo "Launch CES synchro"
                  curl --location --request POST "https://federated-catalogue-api.abc-federation.dev.gaiax.ovh/consume-ces" --header "x-api-key: ${FEDERATED_CATALOG_API_KEY}"
                  echo
                  echo "BACKUP COMPLETE"
                  echo
          restartPolicy: OnFailure
